<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Soprano.FilterModel</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>FilterModel Class Reference</h1>
<code>from PyKDE4.soprano import *</code>
<p>
Inherits: <a href="../soprano/Soprano.Model.html">Soprano.Model</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />
Subclasses: Soprano::Inference::InferenceModel, <a href="../soprano/Soprano.RdfSchemaModel.html">Soprano.RdfSchemaModel</a>, Soprano::Server::DBusExportModel, Soprano::Util::AsyncModel, Soprano::Util::MutexModel, Soprano::Util::SignalCacheModel<br />
Namespace: Soprano<br />
<h2>Detailed Description</h2>

<p>\class FilterModel filtermodel.h Soprano/FilterModel
</p>
<p>
A FilterModel is a virtual model that wraps another Model.
</p>
<p>
FilterModels can be stacked to provide filtering on each of
the Model's methods. A FilterModel has a parent model which
is the data base for this filter. The parent can be an actual
StorageModel or another FilterModel.
</p>
<p>
<b>Error handling:</b>
</p>
<p>
The FilterModel "inherits" its parent Model's errors, i.e. FilterModel.lastError()
always equals FilterModel.parent()-&gt;lastError() (If the FilterModel implementations
are called in subclasses).
</p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Sebastian Trueg &lt;trueg@kde.org&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194571916">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194570540">__init__</a> (self, <a href="../soprano/Soprano.Model.html">Soprano.Model</a> parent)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.Error.ErrorCode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj175503692">addStatement</a> (self, <a href="../soprano/Soprano.Statement.html">Soprano.Statement</a> statement)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.Error.ErrorCode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj175504812">addStatement</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subject, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> predicate, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> object, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> context=Soprano.Node())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201373452">containsAnyStatement</a> (self, <a href="../soprano/Soprano.Statement.html">Soprano.Statement</a> statement)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194430764">containsAnyStatement</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subject, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> predicate, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> object, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> context=Soprano.Node())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196248492">containsStatement</a> (self, <a href="../soprano/Soprano.Statement.html">Soprano.Statement</a> statement)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196250700">containsStatement</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subject, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> predicate, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> object, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> context=Soprano.Node())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180165036">createBlankNode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.QueryResultIterator.html">Soprano.QueryResultIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202206508">executeQuery</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> query, Soprano.Query.QueryLanguage language, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> userQueryLanguage=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197075724">isEmpty</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.NodeIterator.html">Soprano.NodeIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202203692">listContexts</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170691468">listStatements</a> (self, <a href="../soprano/Soprano.Statement.html">Soprano.Statement</a> partial)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202205548">listStatements</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subject, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> predicate, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> object, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> context=Soprano.Node())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.Model.html">Soprano.Model</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201992940">parentModel</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181445196">parentStatementAdded</a> (self, <a href="../soprano/Soprano.Statement.html">Soprano.Statement</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181448492">parentStatementRemoved</a> (self, <a href="../soprano/Soprano.Statement.html">Soprano.Statement</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170608364">parentStatementsAdded</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170610508">parentStatementsRemoved</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.Error.ErrorCode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191495180">removeAllStatements</a> (self, <a href="../soprano/Soprano.Statement.html">Soprano.Statement</a> statement)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.Error.ErrorCode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191494380">removeAllStatements</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subject, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> predicate, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> object, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> context=Soprano.Node())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.Error.ErrorCode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201990732">removeStatement</a> (self, <a href="../soprano/Soprano.Statement.html">Soprano.Statement</a> statement)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.Error.ErrorCode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191908076">removeStatement</a> (self, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> subject, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> predicate, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> object, <a href="../soprano/Soprano.Node.html">Soprano.Node</a> context=Soprano.Node())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201993996">setParentModel</a> (self, <a href="../soprano/Soprano.Model.html">Soprano.Model</a> model)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197076076">statementCount</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.Error.ErrorCode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197076012">write</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qtextstream.html">QTextStream</a> os)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj194571916"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Create an empty filter model.
</p></div></div><a class="anchor" name="obj194570540"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Model.html">Soprano.Model</a>&nbsp;</td>
<td class="paramname"><em>parent</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Create a new FilterModel which works on parent.
Calls setParentModel.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The parent Model.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj175503692"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.Error.ErrorCode addStatement</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Statement.html">Soprano.Statement</a>&nbsp;</td>
<td class="paramname"><em>statement</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj175504812"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.Error.ErrorCode addStatement</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subject</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>predicate</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>object</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>context=Soprano.Node()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Reimplemented for convenience. Calls Model.addStatement(const Node&amp;,const Node&amp;,const Node&amp;,const Node&amp;)
</p></div></div><a class="anchor" name="obj201373452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool containsAnyStatement</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Statement.html">Soprano.Statement</a>&nbsp;</td>
<td class="paramname"><em>statement</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj194430764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool containsAnyStatement</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subject</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>predicate</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>object</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>context=Soprano.Node()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Reimplemented for convenience. Calls Model.containsAnyStatement(const Node&amp;,const Node&amp;,const Node&amp;,const Node&amp;)
</p></div></div><a class="anchor" name="obj196248492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool containsStatement</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Statement.html">Soprano.Statement</a>&nbsp;</td>
<td class="paramname"><em>statement</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj196250700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool containsStatement</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subject</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>predicate</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>object</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>context=Soprano.Node()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Reimplemented for convenience. Calls Model.containsStatement(const Node&amp;,const Node&amp;,const Node&amp;,const Node&amp;)
</p></div></div><a class="anchor" name="obj180165036"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.Node.html">Soprano.Node</a> createBlankNode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj202206508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.QueryResultIterator.html">Soprano.QueryResultIterator</a> executeQuery</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>query</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Soprano.Query.QueryLanguage&nbsp;</td>
<td class="paramname"><em>language</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>userQueryLanguage=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj197075724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isEmpty</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj202203692"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.NodeIterator.html">Soprano.NodeIterator</a> listContexts</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj170691468"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> listStatements</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Statement.html">Soprano.Statement</a>&nbsp;</td>
<td class="paramname"><em>partial</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj202205548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.StatementIterator.html">Soprano.StatementIterator</a> listStatements</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subject</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>predicate</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>object</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>context=Soprano.Node()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Reimplemented for convenience. Calls Model.listStatements(const Node&amp;,const Node&amp;,const Node&amp;,const Node&amp;)
</p></div></div><a class="anchor" name="obj201992940"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.Model.html">Soprano.Model</a> parentModel</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Get the parent model.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The parent Model or 0 if none has been set.
</dd></dl>
</p></div></div><a class="anchor" name="obj181445196"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> parentStatementAdded</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Statement.html">Soprano.Statement</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Handle a statementsAdded() signal from the parent Model.
</p>
<p>
The default implementation simply re-emits the signal.
</p></div></div><a class="anchor" name="obj181448492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> parentStatementRemoved</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Statement.html">Soprano.Statement</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Handle a statementsRemoved() signal from the parent Model.
</p>
<p>
The default implementation simply re-emits the signal.
</p></div></div><a class="anchor" name="obj170608364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> parentStatementsAdded</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Handle a statementsAdded() signal from the parent Model.
</p>
<p>
The default implementation simply re-emits the signal.
</p></div></div><a class="anchor" name="obj170610508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> parentStatementsRemoved</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Handle a statementsRemoved() signal from the parent Model.
</p>
<p>
The default implementation simply re-emits the signal.
</p></div></div><a class="anchor" name="obj191495180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.Error.ErrorCode removeAllStatements</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Statement.html">Soprano.Statement</a>&nbsp;</td>
<td class="paramname"><em>statement</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj191494380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.Error.ErrorCode removeAllStatements</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subject</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>predicate</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>object</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>context=Soprano.Node()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Reimplemented for convenience. Calls Model.removeAllStatements(const Node&amp;,const Node&amp;,const Node&amp;,const Node&amp;)
</p></div></div><a class="anchor" name="obj201990732"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.Error.ErrorCode removeStatement</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Statement.html">Soprano.Statement</a>&nbsp;</td>
<td class="paramname"><em>statement</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj191908076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.Error.ErrorCode removeStatement</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>subject</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>predicate</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>object</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Node.html">Soprano.Node</a>&nbsp;</td>
<td class="paramname"><em>context=Soprano.Node()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Reimplemented for convenience. Calls Model.removeStatement(const Node&amp;,const Node&amp;,const Node&amp;,const Node&amp;)
</p></div></div><a class="anchor" name="obj201993996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setParentModel</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../soprano/Soprano.Model.html">Soprano.Model</a>&nbsp;</td>
<td class="paramname"><em>model</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the parent Model.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>model</em>&nbsp;</td><td> The Model that this filter will forward any commands to.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj197076076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int statementCount</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div><a class="anchor" name="obj197076012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.Error.ErrorCode write</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qtextstream.html">QTextStream</a>&nbsp;</td>
<td class="paramname"><em>os</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Default implementation simply pipes the call through to the parent model.
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
